#!/bin/sh


TIMEOUT=20


ps -eaf|grep "run.sh" |grep -v grep >/dev/null
if [ $? -eq 1 ]
	then
	if [ -f log/sending_service.log ];then
        	DT=`date '+%d%m%y%H%M%S'`
        	mv log/sending_service.log log/sending_service.log_$DT
	fi
	echo
	echo " Starting Sending Service ..."
	echo " `date '+%d/%m/%y %H:%M:%S'`"
	echo
	./run.sh >/dev/null 2>&1 &
	cpt=0
	NOTSTARTED=true
	sleep 5
	while [ $cpt -lt $TIMEOUT ]
	do
		if [ $NOTSTARTED ];then
			cat log/sending_service.log |grep "Fin Ok"
       			if [ $? -eq 0 ];then
       				NOTSTARTED=false
				DTS=`date '+%d/%m/%y %H:%M:%S'`
                                break
       			fi
                fi
       		sleep 1
		cpt=`expr $cpt + 1`
	done
	if [ $cpt -eq $TIMEOUT ]; then
		echo
		echo +
                echo + !! TIMEOUT !! Please, check sending_service.log !!
		echo +
	else
		echo 
		echo +
		echo + Done !
		echo + $DTS
		echo +
		echo
	fi
else
	echo
	ps -eaf|grep "run.sh" |grep -v grep
	echo
	echo +
	echo + Sending Service is already running
	echo +
	echo
fi
